com.hazelcast.jet.function

## Interface DistributedIntUnaryOperator

- All Superinterfaces:
    IntUnaryOperator, Serializable
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface DistributedIntUnaryOperator
      extends IntUnaryOperator, Serializable

  `Serializable` variant of `java.util.function.IntUnaryOperator` which declares checked exception.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default DistributedIntUnaryOperator` | `andThen(DistributedIntUnaryOperator after)` `Serializable` variant of `java.util.function.IntUnaryOperator#andThen(IntUnaryOperator)`.
    `default int` | `applyAsInt(int operand)`
    `int` | `applyAsIntEx(int operand)` Exception-declaring version of `IntUnaryOperator.applyAsInt(int)`.
    `default DistributedIntUnaryOperator` | `compose(DistributedIntUnaryOperator before)` `Serializable` variant of `java.util.function.IntUnaryOperator#compose(IntUnaryOperator)`.
    `static DistributedIntUnaryOperator` | `identity()` `Serializable` variant of `java.util.function.IntUnaryOperator#identity()`.

    - ### Methods inherited from interface java.util.function.IntUnaryOperator

      `andThen, compose`

- - ### Method Detail

    - #### applyAsIntEx

          int applyAsIntEx(int operand)
                    throws Exception

      Exception-declaring version of `IntUnaryOperator.applyAsInt(int)`.
      Throws:
        `Exception`

    - #### applyAsInt

          default int applyAsInt(int operand)

      Specified by:
        `applyAsInt` in interface `IntUnaryOperator`

    - #### identity

          static DistributedIntUnaryOperator identity()

      `Serializable` variant of `java.util.function.IntUnaryOperator#identity()`.
      Specified by:
        `identity` in interface `IntUnaryOperator`

    - #### compose

          default DistributedIntUnaryOperator compose(DistributedIntUnaryOperator before)

      `Serializable` variant of `java.util.function.IntUnaryOperator#compose(IntUnaryOperator)`.

    - #### andThen

          default DistributedIntUnaryOperator andThen(DistributedIntUnaryOperator after)

      `Serializable` variant of `java.util.function.IntUnaryOperator#andThen(IntUnaryOperator)`.

Copyright © 2018. All rights reserved.